Đến nội dung


Hình ảnh
- - - - -

tạo đối tượng hình học


  • Please log in to reply
4 replies to this topic

#1 anh_tuan88

anh_tuan88

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 March 2010 - 10:26 AM

Bác nào cho em hỏi: em muốn viết lệnh tao một đường thẳng mà mình chỉ một điểm trên Cad va nhập khoảng cách la ok.
Thanks trước!!!
  • 0

#2 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 06 March 2010 - 12:14 PM

Bác nào cho em hỏi: em muốn viết lệnh tao một đường thẳng mà mình chỉ một điểm trên Cad va nhập khoảng cách la ok.
Thanks trước!!!

Để vẽ đuờng thẳng cần :
- 2 điểm (điểm đầu và điểm cuối)
- hoặc điểm đầu, khoảng cách và góc của đuờng thẳng đó.

Với điều kiện của bạn : chỉ một điểm trên Cad va nhập khoảng cách, làm sao xác định đuợc đuờng thẳng?
  • 0

#3 anh_tuan88

anh_tuan88

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 March 2010 - 10:34 PM

thanks! bác chi giúp code câu lệnh này:" điểm đầu, khoảng cách và góc của đuờng thẳng " để tạo đường thẳng
  • 0

#4 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 08 March 2010 - 09:51 AM

thanks! bác chi giúp code câu lệnh này:" điểm đầu, khoảng cách và góc của đuờng thẳng " để tạo đường thẳng

Tham khao :
Public Sub TestDrawLine()
Dim varpnt1 As Variant
Dim varpnt2 As Variant
Dim dblAngle As Double
Dim dblLength As Double

With ThisDrawing.Utility
varpnt1 = .GetPoint(, vbCr & "Diem dau : ")
dblLength = .GetDistance(varpnt1, vbCr & "Nhap chieu dai : ")
dblAngle = .GetAngle(varpnt1, vbCr & "Nhap goc : ")

varpnt2 = .PolarPoint(varpnt1, dblAngle, dblLength)
End With

With ThisDrawing
.ModelSpace.AddLine varpnt1, varpnt2
End With

End Sub

  • 1

#5 anh_tuan88

anh_tuan88

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 March 2010 - 04:42 PM

Các bác cho em hỏi: em đang thao tác với SelectionSet để copy một mặt cắt chữ T (vẽ bằng AcadLWPolyline và Acadline) bằng phương thức Select rồi dùng lệnh copy nhưng viết code rồi mà không được (nếu được cũng bị đứt đoạn).bác nào chỉ giúp ?!?
  • 0